<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- personal-037 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	

<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%; background-image: url(images/bottom_bg.jpg); background-position: top right; " summary="">
<tr>
	<td style="width:100%; height:100%; background-image: url(images/top_bg.jpg); background-repeat: repeat-x; background-position: top right;">
		<table cellpadding="0" cellspacing="0" border="0" style="width:100%; height:100%; background-image: url(images/bg.jpg); background-repeat: no-repeat; background-position: top right;">
			<tr>
				<td style="padding-left: 80px; padding-top: 53px; padding-right:115px" valign="top">
					<table cellpadding="0" cellspacing="0" border="0" width="100%" style="height:282px">
						<tr>
							<td style="background-image: url(images/header_top.gif); background-repeat: no-repeat;">
								<div style="width:263px; height:0px;"><span></span></div>
							</td>
							<td style="background-image: url(images/header_bg.gif); background-repeat: repeat-x;" width="100%">
								<table cellpadding="0" cellspacing="0" border="0" width="100%" style="background-image: url(images/header.gif); background-repeat: no-repeat; height: 100%;" >
									<tr>
										<td valign="top" style="padding:15px 34px 5px 5px;">
											<table cellpadding="0" cellspacing="0" border="0" align="right" style="width: 100%; height: 70px;">
												<tr>
													<td>
														<table cellpadding="0" cellspacing="0" align="right">
                                   							<tr>
                                   								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                                   								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-left: 5px;"/></a></td>
                                   							</tr>
                                   							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
                                   						</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<div style="width:100%; height:0px;"><span></span></div>							
							</td>
							<td><img src="images/header_right.png" border="0" width="7" height="282"/></td>
						</tr>
						<tr>
							<td width="100%" valign="top" colspan="3" style="padding-left:39px;">
								<table cellpadding="0" cellspacing="0" border="0" width="100%">
									<tr>
										<td align="left" style="background-image: url(images/menu_left_bg.gif); background-repeat: no-repeat;" width="86" height="39">
											<div style="width:86; height:0px;"><span></span></div>
										</td>
										<td style="background-image: url(images/menu_bg.gif); background-repeat: repeat-x;" width="100%" height="39">
											<table cellpadding="0" cellspacing="0" align="center">
												<tr>
													<xsl:call-template name="TOP-MENU"/>
													<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
												</tr>
											</table>
											<div style="width:100%; height:0px;"><span></span></div>
										</td>
										<td style="background-image: url(images/menu_right_bg.gif); background-repeat: no-repeat;" width="8" height="39">
											<div style="width:8px; height:0px;"><span></span></div>										
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td width="100%" valign="top" colspan="3" style="padding-left:39px; padding-right:2px;">
								<table cellpadding="0" cellspacing="0" border="0" bgcolor="#ffffff" width="100%">
									<tr>
										<td style="padding-left:28px; padding-right:20px; padding-top:20px" valign="top">
											<table cellpadding="0" cellspacing="0" width="140" align="center">
												<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
											</table>
										</td>
										<td width="1" height="100%" bgcolor="#E5E5E5">
											<div style="width:1px; height:0px;"><span></span></div>
										</td>
										<td width="100%" class="pageContent" valign="top" style="padding-left:30px; padding-top:20px; padding-right:25px; padding-bottom:28px;">
											<table cellpadding="0" cellspacing="0" border="0">
												<tr>
													<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
													<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
												</tr>
											</table>
											<div style="width:0px; height:15px;"><span></span></div>
											<xsl:apply-templates select="PAGE-CONTENT"/>
										</td>
									</tr>
									<tr>
										<td width="100%" height="1" colspan="3">
											<table cellpadding="0" cellspacing="0" border="0" width="100%">
												<tr>
													<td width="8">
														<div style="width:8px; height:0px;"><span></span></div>													
													</td>
													<td width="100%" height="1" bgcolor="#E5E5E5">
														<div style="width:100%; height:0px;"><span></span></div>
													</td>	
													<td width="8">
														<div style="width:8px; height:0px;"><span></span></div>													
													</td>
												</tr>	
											</table>	
										</td>
									</tr>
									<tr>
										<td height="50" width="100%" colspan="3">
											<table cellpadding="0" cellspacing="0" align="center">
											   <tr>
	   										   	  <td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
										   		  <xsl:call-template name="BOTTOM-MENU"/>
												  <td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
												</tr>
											</table>	
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
					<br/>
					<div align="center" class="footer">
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					</div>				
					<br/>					
				</td>
			</tr>
		</table>	
	</td>
</tr>
</table>
</BODY>
</HTML>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color: #FFFFFF; background-image: url('images/submenu_line.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	   <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			  <td width="10"><div style="width:10px; height:0px;"><span></span></div></td>
			  <td valign="middle"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
			  <td width="10"><div style="width:10px; height:0px;"><span></span></div></td>
			  <td valign="middle"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
   </xsl:choose>
   
   <xsl:if test="position()!=last()">
		 <td width="10"></td>
		 <td > <img src="images/bmenu_bullet.gif" border="0" alt=""/> </td>	
   </xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
